/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class ParametrizedArtifactFactory extends ArtifactFactory implements
                                                                ParametrizedArtifactObject {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 4516368434861819032L;

    private Map<String, Collection<String>> parameters = null;
    
    /**
     * Constructor
     * @param name
     * @param description
     * @param dataBaseUrl
     */
    public ParametrizedArtifactFactory(String name, String description,
                                       String dataBaseUrl) {
        super(name, description, dataBaseUrl);
        this.parameters = new HashMap<String, Collection<String>>();
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ParametrizedArtifactObject#getParameters()
     */
    public Map<String, Collection<String>> getParameters() {
        return parameters;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ParametrizedArtifactObject#addParameters(java.lang.String, java.util.Collection)
     */
    public void addParameters(String key, Collection<String> values) {
        this.parameters.put(key, values);
    }

}
